## mame 0.249+dfsg.1

=== debian/changelog ===
mame (0.249+dfsg.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 01 Nov 2022 16:11:26 -0700

=== debian/control ===
Source: mame
Section: games
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Cesare Falco <c.falco@ubuntu.com>,
           Emmanuel Kasper <emmanuel@libera.cc>,
           Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.17),
               libexpat1-dev,
               libflac-dev,
               libfontconfig1-dev,
               libglm-dev,
               libjpeg-dev,
               liblua5.3-dev,
               libportmidi-dev [linux-any],
               libpugixml-dev,
               libsdl2-dev,
               libsdl2-ttf-dev,
               libsqlite3-dev,
               libutf8proc-dev,
               libutil-freebsd-dev [kfreebsd-any],
               libxinerama-dev,
               portaudio19-dev,
               python3-dev,
               qtbase5-dev,
               rapidjson-dev (>= 1.0),
               zlib1g-dev
Build-Depends-Indep: python3-sphinx
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/games-team/mame.git
Vcs-Browser: https://salsa.debian.org/games-team/mame
Homepage: https://mamedev.org/
XS-Autobuild: yes
Rules-Requires-Root: no

Package: mame
Architecture: any
Depends: mame-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: mess (<< 0.162)
Breaks: mess (<< 0.162)
Suggests: gnome-video-arcade, mame-doc, mame-extra, mame-tools
Description: Multiple Arcade Machine Emulator (MAME)
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation). This program is not a game but can
 directly, through ROM images, run the complete system of these old arcade
 machines. These ROMs are subject to copyright and it is in most of the cases
 illegal to use them if you do not own the arcade machine.
 .
 This package provides the MAME binary and configuration files.

Package: mame-data
Architecture: all
Depends: ${misc:Depends}
Replaces: mess-data (<< 0.162)
Breaks: mess-data (<< 0.162)
Multi-Arch: foreign
Description: Multiple Arcade Machine Emulator (MAME) -- data files
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation). This program is not a game but can
 directly, through ROM images, run the complete system of these old arcade
 machines. These ROMs are subject to copyright and it is in most of the cases
 illegal to use them if you do not own the arcade machine.
 .
 This package provides MAME hash files, keymaps, artwork, language files,
 shaders, plugins and audio samples.

Package: mame-tools
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: mame (= ${source:Version})
Description: Tools for MAME
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation).
 .
 This package provides tools to be used with MAME. It currently contains:
  castool -- generic cassette manipulation tool for MAME
  chdman -- MAME Compressed Hunks of Data CHD manager
  floptool -- Generic floppy image manipulation tool for MESS
  imgtool -- generic image manipulation tool for MAME
  jedutil -- binary to/from JEDEC file converter
  ldresample -- Laserdisc audio synchronizer and resampler
  ldverify -- Laserdisc AVI/CHD verifier
  romcmp -- ROM comparison utility program

Package: mame-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libjs-mathjax, libjs-sphinxdoc
Enhances: mame
Multi-Arch: foreign
Description: Documentation for MAME
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation).
 .
 This is sphinx-generated full documentation for the MAME system.

## mame 0.250+dfsg.1

=== debian/changelog ===
mame (0.250+dfsg.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Nov 2022 16:01:22 -0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Cesare Falco <c.falco@ubuntu.com>,
            Emmanuel Kasper <emmanuel@libera.cc>,
            Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.17),
                libexpat1-dev,
                libflac-dev,

## mame 0.251%2Bdfsg.1

=== debian/changelog ===
mame (0.251+dfsg.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 14 Jan 2023 10:58:53 -0800

mame (0.250+dfsg.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Nov 2022 16:01:22 -0800

## mame 0.251+dfsg.1

=== 3rdparty/expat/CMakeLists.txt ===
# This file is copyrighted under the BSD-license for buildsystem files of KDE
# copyright 2010, Patrick Spendrin <ps_ml@gmx.de>

cmake_minimum_required(VERSION 3.1.3)

# This allows controlling documented build time switches
# when Expat is pulled in using the add_subdirectory function, e.g.
#
#   set(EXPAT_BUILD_DOCS OFF)
#   set(EXPAT_BUILD_TOOLS OFF)
#   add_subdirectory(${expat_SOURCE_DIR}/expat ${expat_BINARY_DIR})
#
# would disable compilation of the xmlwf CLI and its man page.
# Without activating behaviour NEW for policy CMP0077 here,
# a user with -Wdev enabled would see warning
#
#   Policy CMP0077 is not set: option() honors normal variables.  Run "cmake
#   --help-policy CMP0077" for policy details.  Use the cmake_policy command to
#   set the policy and suppress this warning.
#
#   For compatibility with older versions of CMake, option is clearing the
#   normal variable 'EXPAT_BUILD_DOCS'.
#
# and effectively not be able to adjust option EXPAT_BUILD_DOCS.
#
# For more details please see:
# - https://cmake.org/cmake/help/latest/policy/CMP0077.html
# - https://github.com/libexpat/libexpat/pull/419
#
if(POLICY CMP0077)
    cmake_policy(SET CMP0077 NEW)
endif()

project(expat
    VERSION
        2.2.10
    LANGUAGES
        C
)

set(PACKAGE_BUGREPORT "expat-bugs@libexpat.org")
set(PACKAGE_NAME "expat")
set(PACKAGE_VERSION "${PROJECT_VERSION}")
set(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set(PACKAGE_TARNAME "${PACKAGE_NAME}")

include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

#
# Detect use by means of add_subdirectory
#
get_directory_property(_EXPAT_PARENT_DIRECTORY PARENT_DIRECTORY)

#
# Configuration defaults
#
if(WINCE)
    set(_EXPAT_BUILD_TOOLS_DEFAULT OFF)
else()
    set(_EXPAT_BUILD_TOOLS_DEFAULT ON)
endif()
if(MSVC OR NOT _EXPAT_BUILD_TOOLS_DEFAULT)
    set(_EXPAT_BUILD_DOCS_DEFAULT OFF)
else()
    find_program(DOCBOOK_TO_MAN NAMES docbook2x-man db2x_docbook2man docbook2man docbook-to-man)
    if(DOCBOOK_TO_MAN)
        set(_EXPAT_BUILD_DOCS_DEFAULT ON)
    else()
        set(_EXPAT_BUILD_DOCS_DEFAULT OFF)
    endif()
endif()
if(MSVC)
    set(_EXPAT_BUILD_PKGCONFIG_DEFAULT OFF)
else()
    set(_EXPAT_BUILD_PKGCONFIG_DEFAULT ON)
endif()

#
# Configuration
#
option(EXPAT_BUILD_TOOLS "build the xmlwf tool for expat library" ${_EXPAT_BUILD_TOOLS_DEFAULT})
option(EXPAT_BUILD_EXAMPLES "build the examples for expat library" ON)
option(EXPAT_BUILD_TESTS "build the tests for expat library" ON)
option(EXPAT_SHARED_LIBS "build a shared expat library" ON)
option(EXPAT_BUILD_DOCS "build man page for xmlwf" ${_EXPAT_BUILD_DOCS_DEFAULT})
option(EXPAT_BUILD_FUZZERS "build fuzzers for the expat library" OFF)
option(EXPAT_BUILD_PKGCONFIG "build pkg-config file" ${_EXPAT_BUILD_PKGCONFIG_DEFAULT})
option(EXPAT_OSSFUZZ_BUILD "build fuzzers via ossfuzz for the expat library" OFF)
if(UNIX OR _EXPAT_HELP)
    option(EXPAT_WITH_LIBBSD "utilize libbsd (for arc4random_buf)" OFF)
endif()
option(EXPAT_ENABLE_INSTALL "install expat files in cmake install target" ON)
set(EXPAT_CONTEXT_BYTES 1024 CACHE STRING "Define to specify how much context to retain around the current parse point")
mark_as_advanced(EXPAT_CONTEXT_BYTES)
option(EXPAT_DTD "Define to make parameter entity parsing functionality available" ON)
mark_as_advanced(EXPAT_DTD)
option(EXPAT_NS "Define to make XML Namespaces functionality available" ON)
mark_as_advanced(EXPAT_NS)
option(EXPAT_WARNINGS_AS_ERRORS "Treat all compiler warnings as errors" OFF)
if(UNIX OR _EXPAT_HELP)
    option(EXPAT_DEV_URANDOM "Define to include code reading entropy from `/dev/urandom'." ON)
    set(EXPAT_WITH_GETRANDOM "AUTO" CACHE STRING
            "Make use of getrandom function (ON|OFF|AUTO) [default=AUTO]")
    set(EXPAT_WITH_SYS_GETRANDOM "AUTO" CACHE STRING
            "Make use of syscall SYS_getrandom (ON|OFF|AUTO) [default=AUTO]")
    mark_as_advanced(EXPAT_DEV_URANDOM)
endif()
set(EXPAT_CHAR_TYPE "char" CACHE STRING "Character type to use (char|ushort|wchar_t) [default=char]")
option(EXPAT_ATTR_INFO "Define to allow retrieving the byte offsets for attribute names and values" OFF)
mark_as_advanced(EXPAT_ATTR_INFO)
option(EXPAT_LARGE_SIZE "Make XML_GetCurrent* functions return <(unsigned) long long> rather than <(unsigned) long>" OFF)
mark_as_advanced(EXPAT_LARGE_SIZE)
option(EXPAT_MIN_SIZE "Get a smaller (but slower) parser (in particular avoid multiple copies of the tokenizer)" OFF)
mark_as_advanced(EXPAT_MIN_SIZE)
if(MSVC OR _EXPAT_HELP)
    set(EXPAT_MSVC_STATIC_CRT OFF CACHE BOOL "Use /MT flag (static CRT) when compiling in MSVC")
endif()

#
# Environment checks
#
if(EXPAT_WITH_LIBBSD)
    find_library(LIB_BSD NAMES bsd)
    if(NOT LIB_BSD)
        message(SEND_ERROR "EXPAT_WITH_LIBBSD option is enabled, but libbsd was not found")
    else()
        set(HAVE_LIBBSD TRUE)
    endif()
endif()

macro(_expat_copy_bool_int source_ref dest_ref)
    if(${source_ref})
        set(${dest_ref} 1)
    else()
        set(${dest_ref} 0)
    endif()
endmacro()

if(EXPAT_LARGE_SIZE)
    add_definitions(-DXML_LARGE_SIZE)
endif()

if(EXPAT_MIN_SIZE)
    add_definitions(-DXML_MIN_SIZE)
endif()

if(EXPAT_CHAR_TYPE STREQUAL "char")
    set(_EXPAT_UNICODE OFF)
    set(_EXPAT_UNICODE_WCHAR_T OFF)
elseif(EXPAT_CHAR_TYPE STREQUAL "ushort")
    set(_EXPAT_UNICODE ON)
    set(_EXPAT_UNICODE_WCHAR_T OFF)
    if(EXPAT_BUILD_EXAMPLES)
        message(SEND_ERROR "Examples can not be built with option -DEXPAT_CHAR_TYPE=ushort. Please pass -DEXPAT_CHAR_TYPE=(char|wchar_t) or -DEXPAT_BUILD_EXAMPLES=OFF.")
    endif()
    if(EXPAT_BUILD_TESTS)
        message(SEND_ERROR "The testsuite can not be built with option -DEXPAT_CHAR_TYPE=ushort. Please pass -DEXPAT_CHAR_TYPE=(char|wchar_t) or -DEXPAT_BUILD_TESTS=OFF.")
    endif()
    if(EXPAT_BUILD_TOOLS)
        message(SEND_ERROR "The xmlwf tool can not be built with option -DEXPAT_CHAR_TYPE=ushort. Please pass -DEXPAT_CHAR_TYPE=(char|wchar_t) or -DEXPAT_BUILD_TOOLS=OFF.")
    endif()
elseif(EXPAT_CHAR_TYPE STREQUAL "wchar_t")
    set(_EXPAT_UNICODE ON)
    set(_EXPAT_UNICODE_WCHAR_T ON)
    if(NOT WIN32)
        string(FIND "${CMAKE_C_FLAGS}" "-fshort-wchar" _expat_short_wchar_found)
        if(${_expat_short_wchar_found} EQUAL "-1")
            message(SEND_ERROR "Configuration -DEXPAT_CHAR_TYPE=wchar_t requires -DCMAKE_{C,CXX}_FLAGS=-fshort-wchar (which was not found) and libc compiled with -fshort-wchar, too.")
        endif()
        if (EXPAT_BUILD_TOOLS)
            message(SEND_ERROR "The xmlwf tool can not be built with option -DEXPAT_CHAR_TYPE=wchar_t outside of Windows. Please pass -DEXPAT_CHAR_TYPE=char or -DEXPAT_BUILD_TOOLS=OFF.")
        endif()
    endif()
else()
    message(SEND_ERROR "Option -DEXPAT_CHAR_TYPE=(char|ushort|wchar_t) cannot be \"${EXPAT_CHAR_TYPE}\".")
endif()

if(_EXPAT_UNICODE)
    add_definitions(-DXML_UNICODE)              # for unsigned short
    if(_EXPAT_UNICODE_WCHAR_T)
        add_definitions(-DXML_UNICODE_WCHAR_T)  # for wchar_t
    endif()
endif()

include(${CMAKE_CURRENT_LIST_DIR}/ConfigureChecks.cmake)

macro(evaluate_detection_results use_ref have_ref thing_lower thing_title)
    if(${use_ref} AND NOT (${use_ref} STREQUAL "AUTO") AND NOT ${have_ref})
        message(SEND_ERROR
                "Use of ${thing_lower} was enforced by ${use_ref}=ON but it could not be found.")
    elseif(NOT ${use_ref} AND ${have_ref})
        message("${thing_title} was found but it will not be used due to ${use_ref}=OFF.")
        set(${have_ref} 0)
    endif()
endmacro()

if(NOT WIN32)
    evaluate_detection_results(EXPAT_WITH_GETRANDOM HAVE_GETRANDOM "function getrandom" "Function getrandom")
    evaluate_detection_results(EXPAT_WITH_SYS_GETRANDOM HAVE_SYSCALL_GETRANDOM "syscall SYS_getrandom" "Syscall SYS_getrandom")
endif()

_expat_copy_bool_int(EXPAT_ATTR_INFO        XML_ATTR_INFO)
_expat_copy_bool_int(EXPAT_DTD              XML_DTD)
_expat_copy_bool_int(EXPAT_LARGE_SIZE       XML_LARGE_SIZE)
_expat_copy_bool_int(EXPAT_MIN_SIZE         XML_MIN_SIZE)
_expat_copy_bool_int(EXPAT_NS               XML_NS)
if(NOT WIN32)
    _expat_copy_bool_int(EXPAT_DEV_URANDOM  XML_DEV_URANDOM)
endif()
set(XML_CONTEXT_BYTES ${EXPAT_CONTEXT_BYTES})

macro(expat_install)
    if(EXPAT_ENABLE_INSTALL)
        install(${ARGN})
    endif()
endmacro()

configure_file(expat_config.h.cmake "${CMAKE_CURRENT_BINARY_DIR}/expat_config.h")
add_definitions(-DHAVE_EXPAT_CONFIG_H)
expat_install(FILES "${CMAKE_CURRENT_BINARY_DIR}/expat_config.h" DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})


set(EXTRA_COMPILE_FLAGS)
if(FLAG_NO_STRICT_ALIASING)
    set(EXTRA_COMPILE_FLAGS "${EXTRA_COMPILE_FLAGS} -fno-strict-aliasing")
endif()
if(FLAG_VISIBILITY)
  add_definitions(-DXML_ENABLE_VISIBILITY=1)
  set(EXTRA_COMPILE_FLAGS "${EXTRA_COMPILE_FLAGS} -fvisibility=hidden")
endif()
if (EXPAT_WARNINGS_AS_ERRORS)
    if(MSVC)
        add_definitions(/WX)
    else()
        set(EXTRA_COMPILE_FLAGS "${EXTRA_COMPILE_FLAGS} -Werror")
    endif()
endif()
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${EXTRA_COMPILE_FLAGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${EXTRA_COMPILE_FLAGS}")

if (MSVC)
    if (EXPAT_MSVC_STATIC_CRT)
        message("-- Using static CRT ${EXPAT_MSVC_STATIC_CRT}")
        foreach(flag_var
                CMAKE_CXX_FLAGS_DEBUG
                CMAKE_CXX_FLAGS_RELEASE
                CMAKE_CXX_FLAGS_MINSIZEREL
                CMAKE_CXX_FLAGS_RELWITHDEBINFO
                CMAKE_C_FLAGS_DEBUG
                CMAKE_C_FLAGS_RELEASE
                CMAKE_C_FLAGS_MINSIZEREL
                CMAKE_C_FLAGS_RELWITHDEBINFO
                )
            string(REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
        endforeach()
    endif()
endif()

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/lib)
if(MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS -wd4996)
endif()
if(WIN32)
    if(_EXPAT_UNICODE_WCHAR_T)
        set(_POSTFIX_WIDE "w")
    endif()

    if(MSVC AND NOT EXPAT_SHARED_LIBS)
        if(EXPAT_MSVC_STATIC_CRT)
            set(_POSTFIX_CRT "MT")
        else()
            set(_POSTFIX_CRT "MD")
        endif()
    endif()

    foreach(postfix_var
            CMAKE_DEBUG_POSTFIX
            CMAKE_RELEASE_POSTFIX
            CMAKE_MINSIZEREL_POSTFIX
            CMAKE_RELWITHDEBINFO_POSTFIX
            )
        if(postfix_var STREQUAL "CMAKE_DEBUG_POSTFIX")
            set(_POSTFIX_DEBUG "d")
        else()
            set(_POSTFIX_DEBUG "")
        endif()

        set(${postfix_var} "${_POSTFIX_WIDE}${_POSTFIX_DEBUG}${_POSTFIX_CRT}" CACHE STRING "Windows binary postfix, e.g. libexpat<postfix=[w][d][MD|MT]>.lib")
    endforeach()
endif()

#
# C library
#
set(expat_SRCS
    lib/xmlparse.c
    lib/xmlrole.c
    lib/xmltok.c
# NOTE: ISO C forbids an empty translation unit
#   lib/xmltok_impl.c
#   lib/xmltok_ns.c
)

if(EXPAT_SHARED_LIBS)
    set(_SHARED SHARED)
    if(MSVC)
        set(expat_SRCS ${expat_SRCS} lib/libexpat.def)
    endif()
else()
    set(_SHARED STATIC)
endif()

# Avoid colliding with Expat.dll of Perl's XML::Parser::Expat
if(WIN32 AND NOT MINGW)
    set(_EXPAT_OUTPUT_NAME libexpat)  # CMAKE_*_POSTFIX applies, see above
else()
    if(_EXPAT_UNICODE)
        set(_EXPAT_OUTPUT_NAME expatw)
    else()
        set(_EXPAT_OUTPUT_NAME expat)
    endif()
endif()

add_library(expat ${_SHARED} ${expat_SRCS})
if(EXPAT_WITH_LIBBSD)
    target_link_libraries(expat ${LIB_BSD})
endif()

set(LIBCURRENT 7)    # sync
set(LIBREVISION 12)  # with
set(LIBAGE 6)        # configure.ac!
math(EXPR LIBCURRENT_MINUS_AGE "${LIBCURRENT} - ${LIBAGE}")

set_property(TARGET expat PROPERTY OUTPUT_NAME "${_EXPAT_OUTPUT_NAME}")
if(NOT WIN32)
    set_property(TARGET expat PROPERTY VERSION ${LIBCURRENT_MINUS_AGE}.${LIBAGE}.${LIBREVISION})
    set_property(TARGET expat PROPERTY SOVERSION ${LIBCURRENT_MINUS_AGE})
    set_property(TARGET expat PROPERTY NO_SONAME ${NO_SONAME})
endif()

target_include_directories(expat
    INTERFACE
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/lib>

=== 3rdparty/linenoise/Makefile ===
all:  linenoise_example linenoise_utf8_example linenoise_cpp_example

linenoise_example: linenoise.h linenoise.c example.c
	$(CC) -Wall -W -Os -g -o $@ linenoise.c example.c

linenoise_utf8_example: linenoise.c utf8.c example.c
	$(CC) -DNO_COMPLETION -DUSE_UTF8 -Wall -W -Os -g -o $@ linenoise.c utf8.c example.c

linenoise_cpp_example: linenoise.h linenoise.c
	g++ -Wall -W -Os -g -o $@ linenoise.c example.c

clean:
	rm -f linenoise_example linenoise_utf8_example linenoise_cpp_example *.o

=== 3rdparty/glm/test/core/CMakeLists.txt ===
glmCreateTestGTC(core_force_pure)
glmCreateTestGTC(core_force_unrestricted_gentype)
glmCreateTestGTC(core_type_aligned)
glmCreateTestGTC(core_type_cast)
glmCreateTestGTC(core_type_ctor)
glmCreateTestGTC(core_type_float)
glmCreateTestGTC(core_type_int)
glmCreateTestGTC(core_type_length)
glmCreateTestGTC(core_type_mat2x2)
glmCreateTestGTC(core_type_mat2x3)
glmCreateTestGTC(core_type_mat2x4)
glmCreateTestGTC(core_type_mat3x2)
glmCreateTestGTC(core_type_mat3x3)
glmCreateTestGTC(core_type_mat3x4)
glmCreateTestGTC(core_type_mat4x2)
glmCreateTestGTC(core_type_mat4x3)
glmCreateTestGTC(core_type_mat4x4)
glmCreateTestGTC(core_type_vec1)
glmCreateTestGTC(core_type_vec2)
glmCreateTestGTC(core_type_vec3)
glmCreateTestGTC(core_type_vec4)
glmCreateTestGTC(core_func_common)
glmCreateTestGTC(core_func_exponential)
glmCreateTestGTC(core_func_geometric)
glmCreateTestGTC(core_func_integer)
glmCreateTestGTC(core_func_integer_bit_count)
glmCreateTestGTC(core_func_integer_find_lsb)
glmCreateTestGTC(core_func_integer_find_msb)
glmCreateTestGTC(core_func_matrix)
glmCreateTestGTC(core_func_noise)
glmCreateTestGTC(core_func_packing)
glmCreateTestGTC(core_func_trigonometric)
glmCreateTestGTC(core_func_vector_relational)
glmCreateTestGTC(core_func_swizzle)
glmCreateTestGTC(core_setup_force_cxx98)
glmCreateTestGTC(core_setup_message)
glmCreateTestGTC(core_setup_precision)

=== 3rdparty/bimg/3rdparty/astc-codec/src/base/CMakeLists.txt ===
# Copyright 2018 Google LLC
#
# Licensed under the Apache License Version 2.0 (the License); you may not use
# this file except in compliance with the License. You may obtain a copy of the
# License at
#
# https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing software distributed
# under the License is distributed on an AS IS BASIS WITHOUT WARRANTIES OR
# CONDITIONS OF ANY KIND either express or implied. See the License for the
# specific language governing permissions and limitations under the License.
add_library(base INTERFACE)
target_include_directories(base INTERFACE ../..)

if(OPTION_ASTC_TESTS)
  add_executable(base_test
                 test/bit_stream_test.cpp
                 test/bottom_n_test.cpp
                 test/math_utils_test.cpp
                 test/optional_test.cpp
                 test/string_utils_test.cpp
                 test/type_traits_test.cpp
                 test/uint128_test.cpp)
  target_link_libraries(base_test base gmock_main)
  add_test(NAME base_test COMMAND base_test WORKING_DIRECTORY ${PROJECT_SOURCE_DIR})
endif()

=== debian/changelog ===
mame (0.251+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Fri, 30 Dec 2022 18:08:54 +0100

mame (0.250+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Updated dependencies to libasio >= 1.20.

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 30 Nov 2022 11:19:02 +0100

mame (0.249+dfsg.1-1) unstable; urgency=medium

  [ Cesare Falco ]
  * New upstream release.

  [ Jordi Mallach ]
  * Build with system asio again.

 -- Jordi Mallach <jordi@debian.org>  Wed, 09 Nov 2022 01:31:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,32 @@
 Source: mame
 Section: games
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Cesare Falco <c.falco@ubuntu.com>,
-           Emmanuel Kasper <emmanuel@libera.cc>,
-           Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dpkg-dev (>= 1.17),
-               libexpat1-dev,
-               libflac-dev,
-               libfontconfig1-dev,
-               libglm-dev,
-               libjpeg-dev,
-               liblua5.3-dev,
-               libportmidi-dev [linux-any],
-               libpugixml-dev,
-               libsdl2-dev,
-               libsdl2-ttf-dev,
-               libsqlite3-dev,
-               libutf8proc-dev,
-               libutil-freebsd-dev [kfreebsd-any],
-               libxinerama-dev,
-               portaudio19-dev,
-               python3-dev,
-               qtbase5-dev,
-               rapidjson-dev (>= 1.0),
-               zlib1g-dev
+ Emmanuel Kasper <emmanuel@libera.cc>,
+ Jordi Mallach <jordi@debian.org>
+Build-Depends: debhelper-compat (= 13),
+ dpkg-dev (>= 1.17),
+ libasio-dev (>= 1.20),
+ libexpat1-dev,
+ libflac-dev,
+ libfontconfig1-dev,
+ libglm-dev,
+ libjpeg-dev,
+ liblua5.3-dev,
+ libportmidi-dev [linux-any],
+ libpugixml-dev,
+ libsdl2-dev,
+ libsdl2-ttf-dev,
+ libsqlite3-dev,
+ libutf8proc-dev,
+ libutil-freebsd-dev [kfreebsd-any],
+ libxinerama-dev,
+ portaudio19-dev,
+ python3-dev,
+ qtbase5-dev,
+ rapidjson-dev (>= 1.0),
+ zlib1g-dev
 Build-Depends-Indep: python3-sphinx
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/games-team/mame.git
@@ -37,10 +37,15 @@
 
 Package: mame
 Architecture: any
-Depends: mame-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+ ${shlibs:Depends},
+ mame-data (= ${source:Version})
 Replaces: mess (<< 0.162)
 Breaks: mess (<< 0.162)
-Suggests: gnome-video-arcade, mame-doc, mame-extra, mame-tools
+Suggests: gnome-video-arcade,
+ mame-doc,
+ mame-extra,
+ mame-tools
 Description: Multiple Arcade Machine Emulator (MAME)
  MAME is a hardware emulator: it faithfully reproduces the behavior of many
  arcade machines (it is not a simulation). This program is not a game but can
@@ -69,7 +74,8 @@
 Package: mame-tools
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+ ${shlibs:Depends}
 Recommends: mame (= ${source:Version})
 Description: Tools for MAME
  MAME is a hardware emulator: it faithfully reproduces the behavior of many
@@ -89,7 +95,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: libjs-mathjax, libjs-sphinxdoc
+Suggests: libjs-sphinxdoc, libjs-mathjax
 Enhances: mame
 Multi-Arch: foreign
 Description: Documentation for MAME

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Default/i386/amd64 options from sdlmame rules file by Cesare Falco.

#export DH_VERBOSE = 1

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)

# Define DEB_HOST_MULTIARCH for QT prefix handling
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# add c++ hardening options (upstream makefile doesn't use CPPFLAGS)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

# taken verbatim from debian policy
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

# Use the less-greedy-for-memory Gold linker whenever available
LINK_WITH_GOLD = 1

# g++ 10 seems buggy on some archs, use to build with g++ 9 as a workaround
# if enabled, remember to add dependency on g++-9 in debian/control as well!
COMPILE_WITH_GCC9 =

# Override relevant make variables in original makefile
DEB_OPTS = \
    NOWERROR=1 \
    OSD=sdl \
    DEBUG= \
    TARGETOS=linux \
    DISTRO=debian-stable \
    PTR64= \
    BIGENDIAN= \
    PYTHON_EXECUTABLE=python3 \
    QT_HOME=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/ \
    USE_SYSTEM_LIB_ASIO=1 \
    USE_SYSTEM_LIB_EXPAT=1 \
    USE_SYSTEM_LIB_ZLIB=1 \
    USE_SYSTEM_LIB_JPEG=1 \
    USE_SYSTEM_LIB_FLAC=1 \
    USE_SYSTEM_LIB_LUA=lua5.3:/usr/include/lua5.3 \
    USE_SYSTEM_LIB_SQLITE3=1 \
    USE_SYSTEM_LIB_PORTMIDI=1 \
    USE_SYSTEM_LIB_PORTAUDIO=1 \
    USE_BUNDLED_LIB_SDL2= \
    USE_SYSTEM_LIB_UTF8PROC=1 \
    USE_SYSTEM_LIB_GLM=1 \
    USE_SYSTEM_LIB_RAPIDJSON=1 \
    USE_SYSTEM_LIB_PUGIXML=1 \
    VERBOSE=1

# Make build less verbose if requested
ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
DEB_OPTS += \
    VERBOSE=
endif

# Set specific arch options
ifeq ($(DEB_HOST_ARCH),alpha)
DEB_OPTS += \
    PTR64=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),amd64)
DEB_OPTS += \
    PTR64=1
endif

ifeq ($(DEB_HOST_ARCH),arm64)
DEB_OPTS += \
    ARCHOPTS="-mabi=lp64 -fPIC"
# reduce jobs to release memory on Launchpad builder VM
NUMJOBS = 2
endif

ifeq ($(DEB_HOST_ARCH),armhf)
export DEB_LDFLAGS_MAINT_APPEND += -Wl,--allow-multiple-definition
endif

ifeq ($(DEB_HOST_ARCH),hppa)
LINK_WITH_GOLD =
DEB_OPTS += \
    NOASM=1
endif

ifeq ($(DEB_HOST_ARCH),ia64)
DEB_OPTS += \
    PTR64=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),m68k)
LINK_WITH_GOLD =
DEB_OPTS += \
    NOASM=1
endif

ifeq ($(DEB_HOST_ARCH),mips)
DEB_OPTS += \
    ARCHOPTS=-Umips \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),mipsel)
DEB_OPTS += \
    ARCHOPTS=-Umips \
    NOASM=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),mips64el)
DEB_OPTS += \
    NOASM=1
export DEB_CXXFLAGS_MAINT_APPEND += -mxgot
endif

ifeq ($(DEB_HOST_ARCH),powerpc)
DEB_OPTS += \
    ARCHOPTS=-Upowerpc \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),ppc64)
DEB_OPTS += \
    PTR64=1 \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),ppc64el)
DEB_OPTS += \
    PTR64=1
LINK_WITH_GOLD =
# reduce jobs to release memory on Launchpad builder VM
NUMJOBS = 2
endif

ifeq ($(DEB_HOST_ARCH),riscv64)
DEB_OPTS += \
    OPTIMIZE=1 \
    PTR64=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),s390)
DEB_OPTS += \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),s390x)
DEB_OPTS += \
    PTR64=1 \
    BIGENDIAN=1
endif

ifeq ($(DEB_HOST_ARCH),sh4)
LINK_WITH_GOLD =
DEB_OPTS += \
    NOASM=1
endif

ifeq ($(DEB_HOST_ARCH),sparc)
DEB_OPTS += \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),sparc64)
DEB_OPTS += \
    PTR64=1 \
    BIGENDIAN=1 \
    NOASM=1
LINK_WITH_GOLD =
endif

# kFreeBSD architectures
ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
DEB_OPTS += \
    TARGETOS=freebsd \
    PTR64=1 \
    USE_SYSTEM_LIB_PORTMIDI=
export DEB_LDFLAGS_MAINT_APPEND = -ldl
endif

ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
DEB_OPTS += \
    TARGETOS=freebsd \
    USE_SYSTEM_LIB_PORTMIDI=
export DEB_LDFLAGS_MAINT_APPEND = -ldl
endif

# GNU/Hurd architecture
ifeq ($(DEB_HOST_ARCH),hurd-i386)
DEB_OPTS += \
    TARGETOS=gnu \
    USE_SYSTEM_LIB_PORTMIDI= \
    NO_USE_MIDI=1
LINK_WITH_GOLD =
endif

DEB_MAME_OPTS = \
    SDL_INI_PATH=/etc/mame \
    FULLNAME=mame \
    TARGET=mame \
    SUBTARGET=mame \
    TOOLS=1

ifdef COMPILE_WITH_GCC9
DEB_OPTS += \
	CC=gcc-9 \
	LD=g++-9 \
	CXX=g++-9
endif

ifdef LINK_WITH_GOLD
export DEB_LDFLAGS_MAINT_PREPEND += \
    -fuse-ld=gold -Wl,--no-keep-memory
else
# Sacrifice linking speed to avoid using so much memory
export DEB_LDFLAGS_MAINT_APPEND += \
    -Wl,--no-keep-memory,--reduce-memory-overheads,--hash-size=31
endif

ifdef NUMJOBS
MAKEFLAGS += -j$(NUMJOBS)
endif

ifdef DH_VERBOSE
export DEB_LDFLAGS_MAINT_APPEND += -Wl,--verbose,--trace
endif

ifndef DEBUG
# Disable -g entirely
CFLAGS := $(CFLAGS:-g=-g0)
endif

%:
	dh $@

override_dh_auto_build-arch:
	$(MAKE) $(DEB_OPTS) $(DEB_MAME_OPTS)
	-mv mame64 mame #FIXME
	$(CURDIR)/mame -createconfig
	mv mame.ini default.mame.ini
	mv plugin.ini default.plugin.ini
	mv ui.ini default.ui.ini

override_dh_auto_build-indep:
	$(MAKE) -C docs singlehtml

override_dh_auto_clean:
	PYTHON_EXECUTABLE=python3 dh_auto_clean

override_dh_auto_test-arch:
	# Run MAME's internal validation tests
	-$(CURDIR)/mame -validate

override_dh_install:
	dh_install --exclude=dir.txt \
		   --exclude=LICENSE \
		   --exclude=README.md

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms-arch:
	dh_fixperms
	find debian/mame/etc/mame -type f -execdir chmod 644 {} \;

override_dh_fixperms-indep:
	dh_fixperms
	find debian/mame-data/usr/share/games/mame/artwork -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/bgfx -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/ctrlr -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/fonts -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/hash -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/keymaps -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/language -type f -name "*.po" -delete
	find debian/mame-data/usr/share/games/mame/language -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/plugins -type f -execdir chmod 644 {} \;

## mame 0.254

=== debian/changelog ===
mame (0.254-0.1~mx23+1) mx; urgency=medium

  * New upstream release.
  * Switch to full source and patches from deb-multimedia to overcome FTBFS
    currently on dfsg 0.254 source.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 25 May 2023 17:33:15 -0700

mame (0.251+dfsg.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 14 Jan 2023 10:58:53 -0800

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,30 @@
 Source: mame
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Cesare Falco <c.falco@ubuntu.com>,
- Emmanuel Kasper <emmanuel@libera.cc>,
- Jordi Mallach <jordi@debian.org>
+           Emmanuel Kasper <emmanuel@libera.cc>,
+           Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
- dpkg-dev (>= 1.17),
- libasio-dev (>= 1.20),
- libexpat1-dev,
- libflac-dev,
- libfontconfig1-dev,
- libglm-dev,
- libjpeg-dev,
- liblua5.3-dev,
- libportmidi-dev [linux-any],
- libpugixml-dev,
- libsdl2-dev,
- libsdl2-ttf-dev,
- libsqlite3-dev,
- libutf8proc-dev,
- libutil-freebsd-dev [kfreebsd-any],
- libxinerama-dev,
- portaudio19-dev,
- python3-dev,
- qtbase5-dev,
- rapidjson-dev (>= 1.0),
- zlib1g-dev
+               libexpat1-dev,
+               libflac-dev,
+               libfontconfig1-dev,
+               libglm-dev,
+               libjpeg-dev,
+               libportmidi-dev [linux-any],
+               libpugixml-dev,
+               libsdl2-ttf-dev,
+               libsqlite3-dev,
+               libutf8proc-dev,
+               libutil-freebsd-dev [kfreebsd-any],
+               libuv1-dev,
+               portaudio19-dev,
+               python3,
+               qtbase5-dev,
+               quilt,
+               rapidjson-dev,
+               zlib1g-dev
 Build-Depends-Indep: python3-sphinx
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/games-team/mame.git
@@ -37,15 +35,10 @@
 
 Package: mame
 Architecture: any
-Depends: ${misc:Depends},
- ${shlibs:Depends},
- mame-data (= ${source:Version})
+Depends: mame-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: mess (<< 0.162)
 Breaks: mess (<< 0.162)
-Suggests: gnome-video-arcade,
- mame-doc,
- mame-extra,
- mame-tools
+Suggests: gnome-video-arcade, mame-doc, mame-extra, mame-tools
 Description: Multiple Arcade Machine Emulator (MAME)
  MAME is a hardware emulator: it faithfully reproduces the behavior of many
  arcade machines (it is not a simulation). This program is not a game but can
@@ -74,8 +67,7 @@
 Package: mame-tools
 Section: utils
 Architecture: any
-Depends: ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: mame (= ${source:Version})
 Description: Tools for MAME
  MAME is a hardware emulator: it faithfully reproduces the behavior of many
@@ -95,7 +87,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: libjs-sphinxdoc, libjs-mathjax
+Suggests: libjs-mathjax, libjs-sphinxdoc
 Enhances: mame
 Multi-Arch: foreign
 Description: Documentation for MAME

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
	ifeq ($(NCPUS),-1)
		NCPUS:=1
	endif
	ifeq ($(NCPUS),0)
		NCPUS:=1
	endif
endif

#
# In some case CRLF must be removed from *.c *.cpp *.h files
# Otherwise the build may fail. fromdos is in the tofrodos package.
#
# find . \( -name "*.c" -o -name "*.h" -o -name "*.cpp" -name "makefile" \) -print0 | xargs -0 fromdos
#
# Date in the futur
#
# find . -name '*.*' -print0 | xargs -0 touch
# find . -name '*' -print0 | xargs -0 touch
#
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

# For gcc
#export DEB_LDFLAGS_MAINT_APPEND = \
#    -Wl,--no-keep-memory,--reduce-memory-overheads,--hash-size=31

# For clang
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-keep-memory -Wl,--as-needed

# CXXFLAGS
# -Wno-error=maybe-uninitialized

DEB_OPTS = \
    BIGENDIAN= \
    CONFIG=release \
    DEBUG= \
    DISTRO=debian-stable \
    NOWERROR=1 \
    OSD=sdl \
    PROFILER= \
    PTR64= \
    TARGETOS=linux \
    USE_SYSTEM_LIB_EXPAT=1 \
    USE_SYSTEM_LIB_FLAC=1 \
    USE_SYSTEM_LIB_GLM=1 \
    USE_SYSTEM_LIB_JPEG=1 \
    USE_SYSTEM_LIB_PORTAUDIO=1 \
    USE_SYSTEM_LIB_PORTMIDI=1 \
    USE_SYSTEM_LIB_PUGIXML=1 \
    USE_SYSTEM_LIB_RAPIDJSON=1 \
    USE_SYSTEM_LIB_SQLITE3=1 \
    USE_SYSTEM_LIB_UTF8PROC=1 \
    USE_SYSTEM_LIB_ZLIB=1 \
    USE_SYSTEM_LIB_LUA= \
    USE_BUNDLED_LIB_SDL2=0 \
    VERBOSE=1 \
    PRECOMPILE=0 \

##    USE_SYSTEM_LIB_ASIO=1 \

ifeq ($(DEB_HOST_ARCH),amd64)
DEB_OPTS += \
    PTR64=1
endif

ifeq ($(DEB_HOST_ARCH),arm64)
DEB_OPTS += \
    ARCHOPTS="-mabi=lp64 -fPIC"
endif

ifeq ($(DEB_HOST_ARCH),powerpc)
DEB_OPTS += \
    ARCHOPTS=-Upowerpc
    BIGENDIAN=1
endif

ifneq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
    DEB_OPTS += \
    CC="ccache gcc" \
    CXX="ccache g++"
endif

DEB_MAME_OPTS = \
    SDL_INI_PATH=/etc/mame \
    FULLNAME=mame \
    TARGET=mame \
    SUBTARGET=mame \
    TOOLS=1 \

ifndef DEBUG
# Disable -g entirely
CFLAGS := $(CFLAGS:-g=-g0)
endif

%:
	dh $@ --with quilt

override_dh_auto_build-arch:
	$(MAKE) $(DEB_OPTS) $(DEB_MAME_OPTS) REGENIE=1 -j $(NCPUS)

	-mv mame64 mame

	$(CURDIR)/mame -createconfig
	mv mame.ini default.mame.ini

override_dh_auto_clean:
	PYTHON_EXECUTABLE=python3 dh_auto_clean

override_dh_install:
	dh_install --exclude=dir.txt --exclude=LICENSE --exclude=README.md

override_dh_clean:
	dh_clean src/build/png.pyc chdman jedutil ldresample ldverify mame \
	nltool pngcmp regrep romcmp split src2html srcclean testkeys unidasm \
	castool floptool imgtool nlwav scripts/build/__pycache__/language/*/*.mo \
	scripts/build/__pycache__/*.pyc ui.ini plugin.ini default.mame.ini \
	3rdparty/rapidjson/docker/debian/Dockerfile \
	mame64

	${RM} -rf docs/build
	${RM} -rf docs/source/_ext

	-find -name strings.mo -delete
	-find -name *.exe -delete
	-find -name *.a -delete

override_dh_auto_build-indep:
	$(MAKE) -C docs singlehtml

override_dh_installdocs:
	dh_installdocs -pmame-doc --doc-main-package=mame-doc -Nmame

	dh_installdocs -A

override_dh_dwz:

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## mame 0.255+dfsg.1

=== debian/changelog ===
mame (0.255+dfsg.1-1) unstable; urgency=medium

  [ Cesare Falco ]
  * New upstream release.

  [ Jordi Mallach ]
  * Unset XS-Autobuild, MAME moved to main 7 years ago.
  * Update Standards-Version to 4.6.2 with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Wed, 14 Jun 2023 23:58:03 +0200

mame (0.254+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Thu, 27 Apr 2023 09:50:23 +0200

mame (0.253+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Updated patches.
  * (Temporarily) use contributed Lua 5.4 (required compiled as C++).

 -- Cesare Falco <c.falco@ubuntu.com>  Thu, 30 Mar 2023 21:57:24 +0200

mame (0.252+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Updated patches.

 -- Cesare Falco <c.falco@ubuntu.com>  Fri, 24 Feb 2023 20:47:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,44 +1,50 @@
 Source: mame
 Section: games
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Cesare Falco <c.falco@ubuntu.com>,
-           Emmanuel Kasper <emmanuel@libera.cc>,
-           Jordi Mallach <jordi@debian.org>
+ Emmanuel Kasper <emmanuel@libera.cc>,
+ Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               libexpat1-dev,
-               libflac-dev,
-               libfontconfig1-dev,
-               libglm-dev,
-               libjpeg-dev,
-               libportmidi-dev [linux-any],
-               libpugixml-dev,
-               libsdl2-ttf-dev,
-               libsqlite3-dev,
-               libutf8proc-dev,
-               libutil-freebsd-dev [kfreebsd-any],
-               libuv1-dev,
-               portaudio19-dev,
-               python3,
-               qtbase5-dev,
-               quilt,
-               rapidjson-dev,
-               zlib1g-dev
+ dpkg-dev (>= 1.17),
+ libasio-dev (>= 1.20),
+ libexpat1-dev,
+ libflac-dev,
+ libfontconfig1-dev,
+ libglm-dev,
+ libjpeg-dev,
+# liblua5.3-dev,
+ libportmidi-dev [linux-any],
+ libpugixml-dev,
+ libsdl2-dev,
+ libsdl2-ttf-dev,
+ libsqlite3-dev,
+ libutf8proc-dev,
+ libutil-freebsd-dev [kfreebsd-any],
+ libxinerama-dev,
+ portaudio19-dev,
+ python3-dev,
+ qtbase5-dev,
+ rapidjson-dev (>= 1.0),
+ zlib1g-dev
 Build-Depends-Indep: python3-sphinx
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/games-team/mame.git
 Vcs-Browser: https://salsa.debian.org/games-team/mame
 Homepage: https://mamedev.org/
-XS-Autobuild: yes
 Rules-Requires-Root: no
 
 Package: mame
 Architecture: any
-Depends: mame-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+ ${shlibs:Depends},
+ mame-data (= ${source:Version})
 Replaces: mess (<< 0.162)
 Breaks: mess (<< 0.162)
-Suggests: gnome-video-arcade, mame-doc, mame-extra, mame-tools
+Suggests: gnome-video-arcade,
+ mame-doc,
+ mame-extra,
+ mame-tools
 Description: Multiple Arcade Machine Emulator (MAME)
  MAME is a hardware emulator: it faithfully reproduces the behavior of many
  arcade machines (it is not a simulation). This program is not a game but can
@@ -67,7 +73,8 @@
 Package: mame-tools
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+ ${shlibs:Depends}
 Recommends: mame (= ${source:Version})
 Description: Tools for MAME
  MAME is a hardware emulator: it faithfully reproduces the behavior of many
@@ -87,7 +94,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: libjs-mathjax, libjs-sphinxdoc
+Suggests: libjs-sphinxdoc, libjs-mathjax
 Enhances: mame
 Multi-Arch: foreign
 Description: Documentation for MAME

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Default/i386/amd64 options from sdlmame rules file by Cesare Falco.

#export DH_VERBOSE = 1

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)

# Define DEB_HOST_MULTIARCH for QT prefix handling
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# add c++ hardening options (upstream makefile doesn't use CPPFLAGS)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

# taken verbatim from debian policy
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

# Use the less-greedy-for-memory Gold linker whenever available
LINK_WITH_GOLD = 1

# g++ 10 seems buggy on some archs, use to build with g++ 9 as a workaround
# if enabled, remember to add dependency on g++-9 in debian/control as well!
COMPILE_WITH_GCC9 =

# Override relevant make variables in original makefile
DEB_OPTS = \
    NOWERROR=1 \
    OSD=sdl \
    DEBUG= \
    TARGETOS=linux \
    DISTRO=debian-stable \
    PTR64= \
    BIGENDIAN= \
    PYTHON_EXECUTABLE=python3 \
    QT_HOME=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/ \
    USE_SYSTEM_LIB_ASIO=1 \
    USE_SYSTEM_LIB_EXPAT=1 \
    USE_SYSTEM_LIB_ZLIB=1 \
    USE_SYSTEM_LIB_JPEG=1 \
    USE_SYSTEM_LIB_FLAC=1 \
    USE_SYSTEM_LIB_SQLITE3=1 \
    USE_SYSTEM_LIB_PORTMIDI=1 \
    USE_SYSTEM_LIB_PORTAUDIO=1 \
    USE_BUNDLED_LIB_SDL2= \
    USE_SYSTEM_LIB_UTF8PROC=1 \
    USE_SYSTEM_LIB_GLM=1 \
    USE_SYSTEM_LIB_RAPIDJSON=1 \
    USE_SYSTEM_LIB_PUGIXML=1 \
    VERBOSE=1

# verbatim from Mame 0.253 release notes:
# MAME now requires Lua compiled as C++ to work correctly.
# This prevents the use of Lua libraries from Linux distribution
# package repositories, as they are compiled as C.
#DEB_OPTS += \
#    USE_SYSTEM_LIB_LUA=lua5.3:/usr/include/lua5.3

# Make build less verbose if requested
ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
DEB_OPTS += \
    VERBOSE=
endif

# Set specific arch options
ifeq ($(DEB_HOST_ARCH),alpha)
DEB_OPTS += \
    PTR64=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),amd64)
DEB_OPTS += \
    PTR64=1
endif

ifeq ($(DEB_HOST_ARCH),arm64)
DEB_OPTS += \
    ARCHOPTS="-mabi=lp64 -fPIC"
# reduce jobs to release memory on Launchpad builder VM
NUMJOBS = 2
endif

ifeq ($(DEB_HOST_ARCH),armhf)
export DEB_LDFLAGS_MAINT_APPEND += -Wl,--allow-multiple-definition
endif

ifeq ($(DEB_HOST_ARCH),hppa)
LINK_WITH_GOLD =
DEB_OPTS += \
    NOASM=1
endif

ifeq ($(DEB_HOST_ARCH),ia64)
DEB_OPTS += \
    PTR64=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),m68k)
LINK_WITH_GOLD =
DEB_OPTS += \
    NOASM=1
endif

ifeq ($(DEB_HOST_ARCH),mips)
DEB_OPTS += \
    ARCHOPTS=-Umips \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),mipsel)
DEB_OPTS += \
    ARCHOPTS=-Umips \
    NOASM=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),mips64el)
DEB_OPTS += \
    NOASM=1
export DEB_CXXFLAGS_MAINT_APPEND += -mxgot
endif

ifeq ($(DEB_HOST_ARCH),powerpc)
DEB_OPTS += \
    ARCHOPTS=-Upowerpc \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),ppc64)
DEB_OPTS += \
    PTR64=1 \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),ppc64el)
DEB_OPTS += \
    PTR64=1
LINK_WITH_GOLD =
# reduce jobs to release memory on Launchpad builder VM
NUMJOBS = 2
endif

ifeq ($(DEB_HOST_ARCH),riscv64)
DEB_OPTS += \
    OPTIMIZE=1 \
    PTR64=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),s390)
DEB_OPTS += \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),s390x)
DEB_OPTS += \
    PTR64=1 \
    BIGENDIAN=1
endif

ifeq ($(DEB_HOST_ARCH),sh4)
LINK_WITH_GOLD =
DEB_OPTS += \
    NOASM=1
endif

ifeq ($(DEB_HOST_ARCH),sparc)
DEB_OPTS += \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),sparc64)
DEB_OPTS += \
    PTR64=1 \
    BIGENDIAN=1 \
    NOASM=1
LINK_WITH_GOLD =
endif

# kFreeBSD architectures
ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
DEB_OPTS += \
    TARGETOS=freebsd \
    PTR64=1 \
    USE_SYSTEM_LIB_PORTMIDI=
export DEB_LDFLAGS_MAINT_APPEND = -ldl
endif

ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
DEB_OPTS += \
    TARGETOS=freebsd \
    USE_SYSTEM_LIB_PORTMIDI=
export DEB_LDFLAGS_MAINT_APPEND = -ldl
endif

# GNU/Hurd architecture
ifeq ($(DEB_HOST_ARCH),hurd-i386)
DEB_OPTS += \
    TARGETOS=gnu \
    USE_SYSTEM_LIB_PORTMIDI= \
    NO_USE_MIDI=1
LINK_WITH_GOLD =
endif

DEB_MAME_OPTS = \
    SDL_INI_PATH=/etc/mame \
    FULLNAME=mame \
    TARGET=mame \
    SUBTARGET=mame \
    TOOLS=1

ifdef COMPILE_WITH_GCC9
DEB_OPTS += \
	CC=gcc-9 \
	LD=g++-9 \
	CXX=g++-9
endif

ifdef LINK_WITH_GOLD
export DEB_LDFLAGS_MAINT_PREPEND += \
    -fuse-ld=gold -Wl,--no-keep-memory
else
# Sacrifice linking speed to avoid using so much memory
export DEB_LDFLAGS_MAINT_APPEND += \
    -Wl,--no-keep-memory,--reduce-memory-overheads,--hash-size=31
endif

ifdef NUMJOBS
MAKEFLAGS += -j$(NUMJOBS)
endif

ifdef DH_VERBOSE
export DEB_LDFLAGS_MAINT_APPEND += -Wl,--verbose,--trace
endif

ifndef DEBUG
# Disable -g entirely
CFLAGS := $(CFLAGS:-g=-g0)
endif

%:
	dh $@

override_dh_auto_build-arch:
	$(MAKE) $(DEB_OPTS) $(DEB_MAME_OPTS)
	-mv mame64 mame #FIXME
	$(CURDIR)/mame -createconfig
	mv mame.ini default.mame.ini
	mv plugin.ini default.plugin.ini
	mv ui.ini default.ui.ini

override_dh_auto_build-indep:
	$(MAKE) -C docs singlehtml

override_dh_auto_clean:
	PYTHON_EXECUTABLE=python3 dh_auto_clean

override_dh_auto_test-arch:
	# Run MAME's internal validation tests
	-$(CURDIR)/mame -validate

override_dh_install:
	dh_install --exclude=dir.txt \
		   --exclude=LICENSE \
		   --exclude=README.md

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms-arch:
	dh_fixperms
	find debian/mame/etc/mame -type f -execdir chmod 644 {} \;

override_dh_fixperms-indep:
	dh_fixperms
	find debian/mame-data/usr/share/games/mame/artwork -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/bgfx -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/ctrlr -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/fonts -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/hash -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/keymaps -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/language -type f -name "*.po" -delete
	find debian/mame-data/usr/share/games/mame/language -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/plugins -type f -execdir chmod 644 {} \;
